Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/find_obs_proc.h90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/find_obs_proc.h90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/find_obs_proc.h90	(revision 10321)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/grt_cir_dis.h90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/grt_cir_dis.h90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/grt_cir_dis.h90	(revision 10321)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/grt_cir_dis_saa.h90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/grt_cir_dis_saa.h90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/grt_cir_dis_saa.h90	(revision 10321)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/linquad.h90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/linquad.h90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/linquad.h90	(revision 10321)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/maxdist.h90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/maxdist.h90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/maxdist.h90	(revision 10321)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/mpp_map.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/mpp_map.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/mpp_map.F90	(revision 10321)
@@ -28,5 +28,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_averg_h2d.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_averg_h2d.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_averg_h2d.F90	(revision 10321)
@@ -46,5 +46,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_const.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_const.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_const.F90	(revision 10321)
@@ -7,5 +7,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_conv.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_conv.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_conv.F90	(revision 10321)
@@ -37,5 +37,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_conv_functions.h90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_conv_functions.h90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_conv_functions.h90	(revision 10321)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_fbm.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_fbm.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_fbm.F90	(revision 10321)
@@ -130,5 +130,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_grid.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_grid.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_grid.F90	(revision 10321)
@@ -88,5 +88,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_inter_h2d.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_inter_h2d.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_inter_h2d.F90	(revision 10321)
@@ -49,5 +49,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_inter_sup.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_inter_sup.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_inter_sup.F90	(revision 10321)
@@ -29,5 +29,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_inter_z1d.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_inter_z1d.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_inter_z1d.F90	(revision 10321)
@@ -27,5 +27,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_level_search.h90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_level_search.h90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_level_search.h90	(revision 10321)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_mpp.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_mpp.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_mpp.F90	(revision 10321)
@@ -40,5 +40,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_oper.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_oper.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_oper.F90	(revision 10321)
@@ -34,5 +34,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_prep.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_prep.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_prep.F90	(revision 10321)
@@ -36,5 +36,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_profiles.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_profiles.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_profiles.F90	(revision 10321)
@@ -8,5 +8,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_profiles_def.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_profiles_def.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_profiles_def.F90	(revision 10321)
@@ -192,5 +192,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_read_altbias.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_read_altbias.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_read_altbias.F90	(revision 10321)
@@ -44,5 +44,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_read_prof.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_read_prof.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_read_prof.F90	(revision 10321)
@@ -38,5 +38,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_read_surf.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_read_surf.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_read_surf.F90	(revision 10321)
@@ -33,5 +33,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_readmdt.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_readmdt.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_readmdt.F90	(revision 10321)
@@ -40,5 +40,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_rot_vel.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_rot_vel.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_rot_vel.F90	(revision 10321)
@@ -31,5 +31,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_sort.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_sort.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_sort.F90	(revision 10321)
@@ -23,5 +23,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_surf_def.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_surf_def.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_surf_def.F90	(revision 10321)
@@ -116,5 +116,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_types.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_types.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_types.F90	(revision 10321)
@@ -50,5 +50,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_utils.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_utils.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_utils.F90	(revision 10321)
@@ -37,5 +37,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_write.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_write.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obs_write.F90	(revision 10321)
@@ -49,5 +49,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obsinter_h2d.h90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obsinter_h2d.h90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obsinter_h2d.h90	(revision 10321)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obsinter_z1d.h90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obsinter_z1d.h90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/obsinter_z1d.h90	(revision 10321)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/str_c_to_for.h90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/str_c_to_for.h90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/OBS/str_c_to_for.h90	(revision 10321)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/cpl_oasis3.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/cpl_oasis3.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/cpl_oasis3.F90	(revision 10321)
@@ -69,4 +69,7 @@
    INTEGER, PUBLIC, PARAMETER ::   nmaxcat=5    ! Maximum number of coupling fields
    INTEGER, PUBLIC, PARAMETER ::   nmaxcpl=5    ! Maximum number of coupling fields
+   LOGICAL, PARAMETER         ::   ltmp_wapatch = .TRUE.   ! patch to restore wraparound rows in cpl_send, cpl_rcv, cpl_define  
+   INTEGER                    ::   nldi_save, nlei_save
+   INTEGER                    ::   nldj_save, nlej_save
    
    TYPE, PUBLIC ::   FLD_CPL               !: Type for coupling field information
@@ -87,5 +90,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -145,4 +148,13 @@
       !!--------------------------------------------------------------------
 
+      ! patch to restore wraparound rows in cpl_send, cpl_rcv, cpl_define
+      IF ( ltmp_wapatch ) THEN
+         nldi_save = nldi   ;   nlei_save = nlei
+         nldj_save = nldj   ;   nlej_save = nlej
+         IF( nimpp           ==      1 ) nldi = 1
+         IF( nimpp + jpi - 1 == jpiglo ) nlei = jpi
+         IF( njmpp           ==      1 ) nldj = 1
+         IF( njmpp + jpj - 1 == jpjglo ) nlej = jpj
+      ENDIF 
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) 'cpl_define : initialization in coupled ocean/atmosphere case'
@@ -296,4 +308,8 @@
       IF( nerror /= OASIS_Ok )   CALL oasis_abort ( ncomp_id, 'cpl_define', 'Failure in oasis_enddef')
       !
+      IF ( ltmp_wapatch ) THEN
+         nldi = nldi_save   ;   nlei = nlei_save
+         nldj = nldj_save   ;   nlej = nlej_save
+      ENDIF
    END SUBROUTINE cpl_define
    
@@ -313,4 +329,13 @@
       INTEGER                                   ::   jc,jm     ! local loop index
       !!--------------------------------------------------------------------
+      ! patch to restore wraparound rows in cpl_send, cpl_rcv, cpl_define
+      IF ( ltmp_wapatch ) THEN
+         nldi_save = nldi   ;   nlei_save = nlei
+         nldj_save = nldj   ;   nlej_save = nlej
+         IF( nimpp           ==      1 ) nldi = 1
+         IF( nimpp + jpi - 1 == jpiglo ) nlei = jpi
+         IF( njmpp           ==      1 ) nldj = 1
+         IF( njmpp + jpj - 1 == jpjglo ) nlej = jpj
+      ENDIF
       !
       ! snd data to OASIS3
@@ -341,4 +366,8 @@
          ENDDO
       ENDDO
+      IF ( ltmp_wapatch ) THEN
+         nldi = nldi_save   ;   nlei = nlei_save
+         nldj = nldj_save   ;   nlej = nlej_save
+      ENDIF
       !
     END SUBROUTINE cpl_snd
@@ -361,4 +390,9 @@
       LOGICAL                                   ::   llaction, llfisrt
       !!--------------------------------------------------------------------
+      ! patch to restore wraparound rows in cpl_send, cpl_rcv, cpl_define
+      IF ( ltmp_wapatch ) THEN
+         nldi_save = nldi   ;   nlei_save = nlei
+         nldj_save = nldj   ;   nlej_save = nlej
+      ENDIF
       !
       ! receive local data from OASIS3 on every process
@@ -367,4 +401,10 @@
       !
       DO jc = 1, srcv(kid)%nct
+         IF ( ltmp_wapatch ) THEN
+            IF( nimpp           ==      1 ) nldi = 1
+            IF( nimpp + jpi - 1 == jpiglo ) nlei = jpi
+            IF( njmpp           ==      1 ) nldj = 1
+            IF( njmpp + jpj - 1 == jpjglo ) nlej = jpj
+         ENDIF
          llfisrt = .TRUE.
 
@@ -408,4 +448,8 @@
          ENDDO
 
+         IF ( ltmp_wapatch ) THEN
+            nldi = nldi_save   ;   nlei = nlei_save
+            nldj = nldj_save   ;   nlej = nlej_save
+         ENDIF
          !--- Fill the overlap areas and extra hallows (mpp)
          !--- check periodicity conditions (all cases)
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/cyclone.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/cyclone.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/cyclone.F90	(revision 10321)
@@ -39,7 +39,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018) 
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/fldread.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/fldread.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/fldread.F90	(revision 10321)
@@ -125,5 +125,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/geo2ocean.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/geo2ocean.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/geo2ocean.F90	(revision 10321)
@@ -55,5 +55,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/ocealb.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/ocealb.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/ocealb.F90	(revision 10321)
@@ -22,5 +22,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbc_ice.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbc_ice.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbc_ice.F90	(revision 10321)
@@ -109,5 +109,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbc_oce.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbc_oce.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbc_oce.F90	(revision 10321)
@@ -154,5 +154,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcapr.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcapr.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcapr.F90	(revision 10321)
@@ -41,7 +41,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018) 
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcblk.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcblk.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcblk.F90	(revision 10321)
@@ -136,5 +136,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -239,5 +239,5 @@
       !drag coefficient read from wave model definable only with mfs bulk formulae and core 
          ELSEIF (ln_cdgw .AND. .NOT. ln_NCAR )       THEN       
-             CALL ctl_stop( 'drag coefficient read from wave model definable only with mfs bulk formulae and core')
+             CALL ctl_stop( 'drag coefficient read from wave model definable only with NCAR and CORE bulk formulae')
          ELSEIF (ln_stcor .AND. .NOT. ln_sdw)                             THEN
              CALL ctl_stop( 'Stokes-Coriolis term calculated only if activated Stokes Drift ln_sdw=T')
